Bug 852128 - Writer crashed while editing a table
Writer crashed while editing a table
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 12:30 EDT by Milan Bouchet-Valat
Modified: 2012-12-20 10:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:08:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Bouchet-Valat 2012-08-27 12:30:19 EDT
Writer crashed while I was editing a table, copy/pasting, and adding/removing rows. Sadly, as often, I'm not able to replicate the crash.

This is with libreoffice 3.5.6.2-2.fc17.


For some reason, the new Abrt GUI won't file the bug automatically, so here's the backtrace:

[New LWP 4926]
[New LWP 4930]
[New LWP 4937]
[New LWP 4929]
[New LWP 4931]
[New LWP 4927]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: "/usr/lib/debug/usr/lib64/libicudata.so.48.1.1.debug": separate debug info file has no debug info
Core was generated by `/usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=6'.
Program terminated with signal 11, Segmentation fault.
#0  0x00000037b8a786ef in SvPtrarr::Insert (this=0x3a90fd8, aE=<optimized out>, nP=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/svl/source/memtools/svarray.cxx:54
54	SV_IMPL_VARARR(SvPtrarr,VoidPtr)

Thread 6 (Thread 0x7f46d9fc3700 (LWP 4927)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:218
No locals.
#1  0x00000037b4a3c9a9 in rtl_cache_wsupdate_wait (seconds=10) at /usr/src/debug/libreoffice-3.5.6.2/sal/rtl/source/alloc_cache.cxx:1411
        now = {tv_sec = 1346081224, tv_usec = 429282}
        wakeup = {tv_sec = 1346081234, tv_nsec = 429282000}
#2  rtl_cache_wsupdate_all (arg=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/sal/rtl/source/alloc_cache.cxx:1551
        seconds = 10
#3  0x00000037afe07d14 in start_thread (arg=0x7f46d9fc3700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f46d9fc3700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139942281623296, -6535711246289966319, 0, 239163539456, 139942281623296, 0, 6611793084470291217, -6547350953783039215}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#4  0x00000037af6f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 5 (Thread 0x7f46c4da1700 (LWP 4931)):
#0  0x00000037af6e8bcf in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00007f46cef61285 in x11::SelectionManager::dispatchEvent (this=this@entry=0x7f46d189dc08, millisec=millisec@entry=1000) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/generic/dtrans/X11_selection.cxx:3737
        aPollFD = {fd = 26, events = 1, revents = 0}
        aGuard = {<osl::ClearableGuard<osl::Mutex>> = {pT = 0x0}, pResetT = 0x7f46d189dfc8}
#2  0x00007f46cef6147a in x11::SelectionManager::run (pThis=0x7f46d189dc08) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/generic/dtrans/X11_selection.cxx:3775
        aNow = {tv_sec = 1346081228, tv_usec = 954177}
        This = 0x7f46d189dc08
        aLast = {tv_sec = 1346081228, tv_usec = 954177}
        xFact = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f46d2846058}, <No data fields>}
#3  0x00000037b4a16d7c in osl_thread_start_Impl (pData=0x1cd11e0) at thread.c:277
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = {0, -6535711246289966319, 0, 239163539456, 139941927065344, 140734984803248, 6611834609319308049, -6547366905837622511}, __mask_was_saved = 0}}, __pad = {0x7f46c4da0d40, 0x0, 0x0, 0x0}}
        __cancel_routine = 0x37b4a16b80 <osl_thread_cleanup_Impl>
        __cancel_arg = 0x1cd11e0
        __not_first_call = <optimized out>
        terminate = <optimized out>
        pImpl = 0x1cd11e0
#4  0x00000037afe07d14 in start_thread (arg=0x7f46c4da1700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f46c4da1700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139941927065344, -6535711246289966319, 0, 239163539456, 139941927065344, 140734984803248, 6611834609287850769, -6547350953783039215}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#5  0x00000037af6f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 4 (Thread 0x7f46c7fff700 (LWP 4929)):
#0  0x00000037afe0e32d in accept () at ../sysdeps/unix/syscall-template.S:82
No locals.
#1  0x00000037b4a1d460 in osl_acceptPipe (pPipe=0x1aa6840) at pipe.c:430
        s = <optimized out>
        flags = <optimized out>
        pAcceptedPipe = <optimized out>
#2  0x00000037bc23f625 in accept (Connection=..., this=0x7f46d1170a28) at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/osl/pipe.hxx:141
No locals.
#3  desktop::OfficeIPCThread::run (this=0x7f46d1170a18) at /usr/src/debug/libreoffice-3.5.6.2/desktop/source/app/officeipcthread.cxx:655
        nError = 4294966784
#4  0x00000037bc24205a in osl::threadFunc (param=0x7f46d1170a18) at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/osl/thread.hxx:190
        pObj = 0x7f46d1170a18
#5  0x00000037b4a16d7c in osl_thread_start_Impl (pData=0x1aa0230) at thread.c:277
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = {0, -6535711246289966319, 0, 239163539456, 139941979879168, 0, 6611832634708093713, -6547366905837622511}, __mask_was_saved = 0}}, __pad = {0x7f46c7ffed40, 0x0, 0x0, 0x0}}
        __cancel_routine = 0x37b4a16b80 <osl_thread_cleanup_Impl>
        __cancel_arg = 0x1aa0230
        __not_first_call = <optimized out>
        terminate = <optimized out>
        pImpl = 0x1aa0230
#6  0x00000037afe07d14 in start_thread (arg=0x7f46c7fff700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f46c7fff700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139941979879168, -6535711246289966319, 0, 239163539456, 139941979879168, 0, 6611832634676636433, -6547350953783039215}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00000037af6f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 3 (Thread 0x7f46b576f700 (LWP 4937)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
No locals.
#1  0x00000037b4a13b99 in osl_waitCondition (Condition=0x1ededb0, pTimeout=0x0) at /usr/src/debug/libreoffice-3.5.6.2/sal/osl/unx/conditn.cxx:297
        pCond = 0x1ededb0
        nRet = <optimized out>
        Result = osl_cond_result_ok
#2  0x00007f46beeff8b4 in wait (pTimeout=0x0, this=0x7f46bc0ce4f0) at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/osl/conditn.hxx:84
No locals.
#3  GrammarCheckingIterator::DequeueAndCheck (this=0x7f46bc0ce390) at /usr/src/debug/libreoffice-3.5.6.2/linguistic/source/gciterator.cxx:636
        bQueueEmpty = true
        aLangPortions = empty uno::Sequence
        aLangPortionsLocale = empty uno::Sequence
#4  0x00000037b4a16d7c in osl_thread_start_Impl (pData=0x1ecd100) at thread.c:277
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = {0, -6535711246289966319, 0, 239163539456, 139941668910848, 139942167992184, 6611591918971022097, -6547366905837622511}, __mask_was_saved = 0}}, __pad = {0x7f46b576ed40, 0x0, 0x0, 0x0}}
        __cancel_routine = 0x37b4a16b80 <osl_thread_cleanup_Impl>
        __cancel_arg = 0x1ecd100
        __not_first_call = <optimized out>
        terminate = <optimized out>
        pImpl = 0x1ecd100
#5  0x00000037afe07d14 in start_thread (arg=0x7f46b576f700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f46b576f700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139941668910848, -6535711246289966319, 0, 239163539456, 139941668910848, 139942167992184, 6611591918939564817, -6547350953783039215}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#6  0x00000037af6f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 0x7f46cca28700 (LWP 4930)):
#0  0x00000037af6e8bcf in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00007f46cef486c8 in ICEConnectionWorker () at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/generic/app/sm.cxx:665
        nConnectionsBefore = 1
        bWakeup = <optimized out>
        nBytes = 16
        pLocalFD = 0x7f46c52cf998
        nRet = <optimized out>
#2  0x00000037b4a16d7c in osl_thread_start_Impl (pData=0x1a49280) at thread.c:277
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = {0, -6535711246289966319, 0, 27943680, 139942057641728, 19, 6611816945729432337, -6547366905837622511}, __mask_was_saved = 0}}, __pad = {0x7f46cca27d40, 0x0, 0x0, 0x0}}
        __cancel_routine = 0x37b4a16b80 <osl_thread_cleanup_Impl>
        __cancel_arg = 0x1a49280
        __not_first_call = <optimized out>
        terminate = <optimized out>
        pImpl = 0x1a49280
#3  0x00000037afe07d14 in start_thread (arg=0x7f46cca28700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f46cca28700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139942057641728, -6535711246289966319, 0, 27943680, 139942057641728, 19, 6611816945697975057, -6547350953783039215}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#4  0x00000037af6f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 0x7f46d9fd48c0 (LWP 4926)):
#0  0x00000037b8a786ef in SvPtrarr::Insert (this=0x3a90fd8, aE=<optimized out>, nP=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/svl/source/memtools/svarray.cxx:54
No locals.
#1  0x00007f46bf76801c in Insert (nP=<optimized out>, this=0x3a90fd8, aE=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/sw/inc/swtable.hxx:76
No locals.
#2  SwUndoTblNdsChg::UndoImpl (this=0x3bbcb40, rContext=...) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/undo/untbl.cxx:1778
        pSave = 0x7f469d23ba10
        pBox = 0x7f469d23ba10
        n = 29
        pCpyBox = 0x7f469d23bdd0
        rLnBoxes = @0x3a90fd8: {<SvPtrarr> = {pData = 0x38ea, nFree = 4094, nA = 0}, <No data fields>}
        aIdx = {pNd = 0x7f46bc1cf3a0, pNext = 0x7f46b67986d8, pPrev = 0x7f46bcda4370}
        aTmpBox = {pBox = 0x0, aLines = {<SvPtrarr> = {pData = 0x7f469d2b8430, nFree = 10, nA = 0}, <No data fields>}, pUpper = 0x0, pLineBefore = 0x0, pLineBehind = 0x0}
        aDelBoxes = std::vector of length 0, capacity 0
        aMsgHnt = {<SwMsgPoolItem> = {<SfxPoolItem> = {_vptr.SfxPoolItem = 0x7f46bff2a230, nRefCount = 0, nWhich = 163, nKind = 0}, <No data fields>}, pTbl = 0x21e24a0, DATA = {pDelTbl = 0x0, pNewTblNm = 0x0}, pHistory = 0x0, nSplitLine = 65535, eFlags = TBL_BOXPTR, bModified = 0 '\000', bBehindSplitLine = 0 '\000'}
        pPCD = <optimized out>
#3  0x00007f46bf749ab5 in SwUndo::UndoWithContext (this=0x3bbcb40, rContext=...) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/undo/undobj.cxx:253
        pContext = 0x7fff6ac6efc0
#4  0x00000037b8ac6141 in SfxListUndoAction::UndoWithContext (this=0x3dc7fc0, i_context=...) at /usr/src/debug/libreoffice-3.5.6.2/svl/source/undo/undo.cxx:1347
        i = 0
#5  0x00000037b8ac8356 in SfxUndoManager::ImplUndo (this=0x2089cf8, i_contextOrNull=0x7fff6ac6efc0) at /usr/src/debug/libreoffice-3.5.6.2/svl/source/undo/undo.cxx:807
        aGuard = {m_rManagerData = @0x2088770, m_aGuard = {<osl::ClearableGuard<osl::Mutex>> = {pT = 0x0}, pResetT = 0x2088770}, m_aUndoActionsCleanup = empty std::list, m_notifiers = empty std::list}
        aDoingGuard = {<comphelper::ScopeGuard> = {<boost::noncopyable_::noncopyable> = {<No data fields>}, m_func = {<boost::function_base> = {vtable = 0x37b8cff511, functor = {obj_ptr = 0x37b8aca1a0, type = {type = 0x37b8aca1a0, const_qualified = 156, volatile_qualified = 135}, func_ptr = 0x37b8aca1a0 <comphelper::FlagGuard::ResetFlag(bool&)>, bound_memfunc_ptr = {memfunc_ptr = (void (boost::detail::function::X::*)(boost::detail::function::X * const, int)) 0x37b8aca1a0 <comphelper::FlagGuard::ResetFlag(bool&)>, this adjustment 34113436, obj_ptr = 0x7f46bf466766}, obj_ref = {obj_ptr = 0x37b8aca1a0, is_const_qualified = 156, is_volatile_qualified = 135}, data = -96 '\240'}}, static args = <optimized out>, static arity = <optimized out>}, m_excHandling = comphelper::ScopeGuard::IGNORE_EXCEPTIONS}, <No data fields>}
        sActionComment = "Supprimer la colonne"
        aLockGuard = {m_manager = @0x2089cf8}
        pAction = 0x3dc7fc0
#6  0x00007f46bf73d82d in sw::UndoManager::impl_DoUndoRedo (this=0x2089cf0, undoOrRedo=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/undo/docundo.cxx:490
        c = {m_pDoc = 0x201bcd0}
        pEditShell = 0x35888a0
        bSaveCursors = <optimized out>
        context = {<SfxUndoContext> = {_vptr.SfxUndoContext = 0x7f46bff380b0}, m_rDoc = @0x201bcd0, m_rCursorSupplier = @0x3588a20, m_pSelFmt = 0x0, m_pMarkList = 0x0}
        bRet = false
#7  0x00007f46bf58c8f6 in SwEditShell::Undo (this=0x35888a0, nCount=1) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/edit/edundo.cxx:136
        i = <optimized out>
        nLastUndoId = UNDO_COL_DELETE
        bRestoreCrsr = false
        eOld = 48
        aCurr = {pPrev = 0x35888a0, pRoot = 0x21af6f0}
        bRet = <optimized out>
#8  0x00007f46bfb49f76 in SwWrtShell::Do (this=0x35888a0, eDoType=SwWrtShell::UNDO, nCnt=1) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/ui/wrtsh/wrtundo.cxx:63
        bSaveDoesUndo = 1 '\001'
        bCreateXSelection = <optimized out>
        bFrmSelected = <optimized out>
#9  0x00007f46bfa51637 in SwBaseShell::ExecUndo (this=<optimized out>, rReq=...) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/ui/shells/basesh.cxx:493
        nId = 5701
        pArgs = 0x3a90fd8
        pItem = 0x37b4a3b861
        nCnt = 1
#10 0x00000037bab7c947 in CallExec (rReq=..., pFunc=<optimized out>, this=0x3a1ed10) at /usr/src/debug/libreoffice-3.5.6.2/sfx2/inc/sfx2/shell.hxx:201
No locals.
#11 SfxDispatcher::Call_Impl (this=0x2153040, rShell=..., rSlot=..., rReq=..., bRecord=1 '\001') at /usr/src/debug/libreoffice-3.5.6.2/sfx2/source/control/dispatch.cxx:276
        bThisDispatcherAlive = 1 '\001'
        pOldInCallAliveFlag = 0x0
        pView = 0x2152fc0
#12 0x00000037bab757a4 in SfxBindings::Execute_Impl (this=0x214cac0, aReq=..., pSlot=0x7f46bffca2b8, pShell=0x3a1ed10) at /usr/src/debug/libreoffice-3.5.6.2/sfx2/source/control/bindings.cxx:1310
No locals.
#13 0x00000037bab93d82 in SfxDispatchController_Impl::dispatch (this=0x1d97490, aURL=..., aArgs=empty uno::Sequence, rListener=...) at /usr/src/debug/libreoffice-3.5.6.2/sfx2/source/control/unoctitm.cxx:743
        aReq = {<SfxHint> = {_vptr.SfxHint = 0x37bafe6870}, nSlot = 5701, pArgs = 0x0, pImp = 0x3cd9230}
        aSet = {<SfxItemSet> = {_vptr.SfxItemSet = 0x37b8cf8690, _pPool = 0x20b11a0, _pParent = 0x0, _aItems = 0x0, _pWhichRanges = 0x3782e10, _nCount = 0}, aDefault = {<SfxPoolItem> = {_vptr.SfxPoolItem = 0x37b8cf8a70, nRefCount = 0, nWhich = 0, nKind = 0}, <No data fields>}, nFree = 10}
        pSlot = 0x7f46bffca2b8
        aURLObj = {m_aAbsURIRef = ".uno:Undo", m_aScheme = {m_nBegin = 0, m_nLength = 4}, m_aUser = {m_nBegin = -1, m_nLength = 0}, m_aAuth = {m_nBegin = -1, m_nLength = 0}, m_aHost = {m_nBegin = -1, m_nLength = 0}, m_aPort = {m_nBegin = -1, m_nLength = 0}, m_aPath = {m_nBegin = 5, m_nLength = 4}, m_aQuery = {m_nBegin = -1, m_nLength = 0}, m_aFragment = {m_nBegin = -1, m_nLength = 0}, m_eScheme = INET_PROT_UNO, m_eSmartScheme = INET_PROT_HTTP}
        nModifier = <optimized out>
        nAddArgs = <optimized out>
        aInternalSet = {<SfxItemSet> = {_vptr.SfxItemSet = 0x37b8cf8690, _pPool = 0x1ac2650, _pParent = 0x0, _aItems = 0x406bfa0, _pWhichRanges = 0x3312be0, _nCount = 1}, aDefault = {<SfxPoolItem> = {_vptr.SfxPoolItem = 0x37b8cf8a70, nRefCount = 0, nWhich = 0, nKind = 0}, <No data fields>}, nFree = 8}
        pShell = 0x3a1ed10
        lNewArgs = empty uno::Sequence
        nCount = 0
        bTemp = <optimized out>
        aAddArgs = std::vector of length 0, capacity 0
        xFrameRef = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f46c5288b40}, <No data fields>}
        bSuccess = 0 '\000'
        pItem = 0x0
        nCall = <optimized out>
        nMarkArg = <optimized out>
        bVBARequest = <optimized out>
        eMapUnit = SFX_MAPUNIT_TWIP
        aGuard = {m_solarMutex = @0x1a045d0}
#14 0x00000037bab94763 in SfxOfficeDispatch::dispatch (this=0x7f46bc0a5b50, aURL=..., aArgs=empty uno::Sequence) at /usr/src/debug/libreoffice-3.5.6.2/sfx2/source/control/unoctitm.cxx:375
        layer = {m_aEnvTypeName = "gcc3", m_xPreviousContext = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x1aaa560}, <No data fields>}}
#15 0x00000037b96a9750 in svt::AsyncAccelExec::impl_ts_asyncCallback (this=0x49a4b80) at /usr/src/debug/libreoffice-3.5.6.2/svtools/source/misc/acceleratorexecute.cxx:501
No locals.
#16 0x00000037b70c6d2a in Call (pCaller=<optimized out>, this=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/tools/link.hxx:140
No locals.
#17 DoEvent_Impl (pEvent=<optimized out>, this=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/helper/evntpost.cxx:59
No locals.
#18 vcl::EventPoster::LinkStubDoEvent_Impl (pThis=<optimized out>, pCaller=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/helper/evntpost.cxx:62
No locals.
#19 0x00000037b7164e82 in Call (pCaller=<optimized out>, this=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/tools/link.hxx:140
No locals.
#20 ImplHandleUserEvent (pSVEvent=0x3804dd0) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/winproc.cxx:1999
No locals.
#21 ImplWindowFrameProc (pWindow=<optimized out>, nEvent=22, pEvent=0x3804dd0) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/winproc.cxx:2571
        nRet = 0
#22 0x00000037b716e5cc in CallCallback (pEvent=0x3804dd0, nEvent=22, this=0x1acc0a0) at /usr/src/debug/libreoffice-3.5.6.2/vcl/inc/salframe.hxx:294
No locals.
#23 SalGenericDisplay::DispatchInternalEvent (this=0x1a7ccf0) at /usr/src/debug/libreoffice-3.5.6.2/vcl/generic/app/gendisp.cxx:102
        pData = 0x3804dd0
        pFrame = 0x1acc0a0
        nEvent = 22
#24 0x00007f46d0d7d0af in GtkData::userEventFn (data=data@entry=0x1a058d0) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/gtk/app/gtkdata.cxx:946
        bContinue = 1
        aGuard = {pT = 0x1a045d0}
        pThis = 0x1a058d0
        pData = 0x1
#25 0x00007f46d0d7d129 in call_userEventFn (data=0x1a058d0) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/gtk/app/gtkdata.cxx:956
No locals.
#26 0x00007f46cf3f5695 in g_main_dispatch (context=0x1a3d380) at gmain.c:2539
        dispatch = 0x7f46cf3f33f0 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0x1a058d0
        callback = 0x7f46d0d7d100 <call_userEventFn(void*)>
        cb_funcs = 0x7f46cf6cb960
        cb_data = 0x210d4a0
        current_source_link = {data = 0x38235d0, next = 0x0}
        need_destroy = <optimized out>
        source = 0x38235d0
        current = 0x1be0c90
        i = <optimized out>
#27 g_main_context_dispatch (context=context@entry=0x1a3d380) at gmain.c:3075
No locals.
#28 0x00007f46cf3f59c8 in g_main_context_iterate (context=context@entry=0x1a3d380, block=block@entry=0, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
        max_priority = -100
        timeout = 0
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = <optimized out>
        fds = 0x1eabcd0
#29 0x00007f46cf3f5a84 in g_main_context_iteration (context=0x1a3d380, may_block=0) at gmain.c:3207
        retval = <optimized out>
#30 0x00007f46d0d7ce51 in GtkData::Yield (this=0x1a058d0, bWait=true, bHandleAllCurrentEvents=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/gtk/app/gtkdata.cxx:582
        nMaxEvents = 1
        wasOneEvent = <optimized out>
        aReleaser = {m_nYieldCount = 1}
        bDispatchThread = true
        bWasEvent = <optimized out>
#31 0x00007f46d0d7dcdd in GtkInstance::Yield (this=0x1a05830, bWait=<optimized out>, bHandleAllCurrentEvents=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/gtk/app/gtkinst.cxx:613
No locals.
#32 0x00000037b6ef8de4 in ImplYield (i_bAllEvents=false, i_bWait=true) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/app/svapp.cxx:458
        pSVData = 0x37b74ca4a0
#33 Application::Yield (i_bAllEvents=false) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/app/svapp.cxx:492
No locals.
#34 0x00000037b6ef8e87 in Application::Execute () at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/app/svapp.cxx:435
        pSVData = 0x37b74ca4a0
#35 0x00000037bc21ddb9 in desktop::Desktop::Main (this=0x7fff6ac700b0) at /usr/src/debug/libreoffice-3.5.6.2/desktop/source/app/app.cxx:1885
        layer2 = {m_aEnvTypeName = "gcc3", m_xPreviousContext = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f46d1189b80}, <No data fields>}}
        bTerminateRequested = 0 '\000'
        nAcquireCount = <optimized out>
        rCmdLineArgs = @0x37bc468f40: {m_cwdUrl = {<boost::optional_detail::optional_base<rtl::OUString>> = {<boost::optional_detail::optional_tag> = {<No data fields>}, m_initialized = true, m_storage = {dummy_ = {data = "\360\220\202\321F\177\000", aligner_ = {<No data fields>}}}}, <No data fields>}, m_aBoolParams = '\000' <repeats 15 times>, "\001", '\000' <repeats 16 times>, m_aStrParams = {"", "6", "" <repeats 19 times>}, m_aStrSetParams = "\000\001", '\000' <repeats 18 times>, m_eArgumentCount = desktop::CommandLineArgs::MANY, m_bDocumentArgs = true, m_aMutex = {mutex = 0x1113d60}, static m_pGroupDefinitions = {{nCount = 8, pGroupMembers = 0x37bc468de0}}}
        aConfigErrHandler = {m_pContext = 0x0, m_xHandler = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x0}, <No data fields>}}
        xRestartManager = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f46c6a8b570}, <No data fields>}
        layer = {m_aEnvTypeName = "gcc3", m_xPreviousContext = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f46d1189b40}, <No data fields>}}
        aOptions = {<utl::detail::Options> = {<utl::ConfigurationBroadcaster> = {_vptr.ConfigurationBroadcaster = 0x37b99efd90, mpList = 0x0, m_nBroadcastBlocked = 0, m_nBlockedHint = 0}, <utl::ConfigurationListener> = {_vptr.ConfigurationListener = 0x37b99efdc8}, <No data fields>}, <SfxListener> = {_vptr.SfxListener = 0x37b99efdf0, aBCs = {<SvPtrarr> = empty SvArray, <No data fields>}}, static sm_pSingleImplConfig = 0x1b873e0, static sm_nAccessibilityRefCount = 5}
        eError = 1791421696
        xSMgr = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f46d2846058}, <No data fields>}
        xDesktop = <optimized out>
        aAppearanceCfg = {<utl::ConfigItem> = {<utl::ConfigurationBroadcaster> = {_vptr.ConfigurationBroadcaster = 0x37b99efe70, mpList = 0x0, m_nBroadcastBlocked = 0, m_nBlockedHint = 0}, sSubTree = "Office.Common/View", m_xHierarchyAccess = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f46c5571960}, <No data fields>}, xChangeLstnr = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x0}, <No data fields>}, pImpl = 0x1b87310}, nDragMode = 2, nScaleFactor = 100, nSnapMode = 2, nMiddleMouse = 2, nAAMinPixelHeight = 8, bMenuMouseFollow = 1 '\001', bFontAntialiasing = 1 '\001', static bInitialized = 1 '\001'}
#36 0x00000037b6eff931 in ImplSVMain () at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/app/svmain.cxx:178
        pSVData = 0x37b74ca4a0
        xMS = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x0}, <No data fields>}
        nReturn = 1
        bInit = <optimized out>
#37 0x00000037b6eff9d5 in SVMain () at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/app/svmain.cxx:215
        nRet = <optimized out>
#38 0x00000037bc242b96 in soffice_main () at /usr/src/debug/libreoffice-3.5.6.2/desktop/source/app/sofficemain.cxx:71
        aDesktop = {<Application> = {_vptr.Application = 0x37bc4661b0}, m_rSplashScreen = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x0}, <No data fields>}, m_bMinimized = 119 'w', m_bInvisible = 0 '\000', m_bServicesRegistered = true, m_nAppEvents = 124, m_aBootstrapError = desktop::Desktop::BE_OK, m_aBootstrapStatus = desktop::Desktop::BS_OK, m_pLockfile = {_M_ptr = 0x1ab8750}, m_firstRunTimer = {_vptr.Timer = 0x37b74a8830, mpTimerData = 0x0, mnTimeout = 1, mbActive = 0 '\000', mbAuto = 0 '\000', maTimeoutHdl = {pInst = 0x0, pFunc = 0}}, static pResMgr = 0x0, static bSuppressOpenDefault = <optimized out>}
        rCmdLineArgs = <optimized out>
#39 0x00000000004006bb in sal_main () at /usr/src/debug/libreoffice-3.5.6.2/desktop/source/app/main.c:34
No locals.
#40 main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/desktop/source/app/main.c:33
        ret = 0
From                To                  Syms Read   Shared Object Library
0x00000037b4a11370  0x00000037b4a45d78  Yes         /usr/lib64/libreoffice/program/../ure-link/lib/libuno_sal.so.3
0x00000037bc210f70  0x00000037bc255d08  Yes         /usr/lib64/libreoffice/program/libsofficeapp.so
0x00000037b425baf0  0x00000037b42c13ab  Yes         /lib64/libstdc++.so.6
0x00000037afa055f0  0x00000037afa6ca4c  Yes         /lib64/libm.so.6
0x00000037b1e029d0  0x00000037b1e12148  Yes         /lib64/libgcc_s.so.1
0x00000037af61ef60  0x00000037af75f780  Yes         /lib64/libc.so.6
0x00000037b0200ea0  0x00000037b02019e0  Yes         /lib64/libdl.so.2
0x00000037afe05790  0x00000037afe10494  Yes         /lib64/libpthread.so.0
0x00000037b3e61c10  0x00000037b3f0ef5c  Yes         /usr/lib64/libreoffice/program/libcomphelpgcc3.so
0x00000037b06059d0  0x00000037b0641290  Yes         /usr/lib64/libreoffice/program/../ure-link/lib/libuno_cppu.so.3
0x00000037b0e1ae30  0x00000037b0e9b798  Yes         /usr/lib64/libreoffice/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
0x00000037bba08aa0  0x00000037bba1b648  Yes         /usr/lib64/libreoffice/program/libdeploymentmisclo.so
0x00000037b1a01fa0  0x00000037b1a03d08  Yes         /usr/lib64/libreoffice/program/libi18nisolang1gcc3.so
0x00000037baaee000  0x00000037bad45e68  Yes         /usr/lib64/libreoffice/program/libsfxlo.so
0x00000037b8a48890  0x00000037b8acc970  Yes         /usr/lib64/libreoffice/program/libsvllo.so
0x00000037b9535eb0  0x00000037b974b094  Yes         /usr/lib64/libreoffice/program/libsvtlo.so
0x00000037b8f44ef0  0x00000037b908ebf0  Yes         /usr/lib64/libreoffice/program/libtklo.so
0x00000037b5e20e30  0x00000037b5e7cb20  Yes         /usr/lib64/libreoffice/program/libtllo.so
0x00000037b7e24410  0x00000037b7e5a024  Yes         /usr/lib64/libreoffice/program/libucbhelper4gcc3.so
0x00000037b7a3f120  0x00000037b7af8a8c  Yes         /usr/lib64/libreoffice/program/libutllo.so
0x00000037b6eec1a0  0x00000037b71eac28  Yes         /usr/lib64/libreoffice/program/libvcllo.so
0x00000037af200b20  0x00000037af21a319  Yes         /lib64/ld-linux-x86-64.so.2
0x00000037b12030b0  0x00000037b12042e4  Yes         /usr/lib64/libreoffice/program/../ure-link/lib/libuno_salhelpergcc3.so.3
0x00000037b3a2de50  0x00000037b3b68348  Yes (*)     /lib64/libdb-5.2.so
0x00000037b8616890  0x00000037b8678598  Yes         /usr/lib64/libreoffice/program/libxcrlo.so
0x00000037b662cbc0  0x00000037b670da74  Yes         /lib64/libxml2.so.2
0x00000037bbe22b60  0x00000037bbe6952c  Yes         /usr/lib64/libreoffice/program/libfwelo.so
0x00000037bb208390  0x00000037bb214d18  Yes         /usr/lib64/libreoffice/program/libsaxlo.so
0x00000037bb66a930  0x00000037bb74f9c8  Yes         /usr/lib64/libreoffice/program/libsblo.so
0x00000037b8214e60  0x00000037b8241f9c  Yes         /usr/lib64/libreoffice/program/libsotlo.so
0x00000037b2217ee0  0x00000037b22bbe3c  Yes         /usr/lib64/libreoffice/program/libbasegfxlo.so
0x00000037b6a02280  0x00000037b6a03f3c  Yes         /usr/lib64/libreoffice/program/libi18nutilgcc3.so
0x00000037b6203e50  0x00000037b6215b8c  Yes         /usr/lib64/libreoffice/program/../ure-link/lib/libjvmfwk.so.3
0x00000037ce8480b0  0x00000037ce8fd574  Yes         /lib64/libicuuc.so.48
0x00000037bd603e30  0x00000037bd636280  Yes         /lib64/libjpeg.so.62
0x00000037b2e1dea0  0x00000037b2ea4260  Yes         /lib64/libX11.so.6
0x00000037b0a01f50  0x00000037b0a0e718  Yes         /lib64/libz.so.1
0x00000037b7606420  0x00000037b7619947  Yes         /lib64/libicule.so.48
0x00000037b1602640  0x00000037b16162b0  Yes         /lib64/libgraphite2.so.2.0.0
0x00000037ba60b2f0  0x00000037ba68215c  Yes         /lib64/libcairo.so.2
0x00000037b5a05ef0  0x00000037b5a1f6ec  Yes         /lib64/libfontconfig.so.1
0x00000037b4e0cbc0  0x00000037b4e77250  Yes         /lib64/libfreetype.so.6
0x00000037b36023f0  0x00000037b36037c4  Yes         /usr/lib64/libreoffice/program/libi18npaperlo.so
0x00000037b26026e0  0x00000037b2603db4  Yes         /usr/lib64/libreoffice/program/../ure-link/lib/libjvmaccessgcc3.so.3
0x00000037ba20e020  0x00000037ba223718  Yes         /usr/lib64/libreoffice/program/libfwilo.so
0x00000037cf000570  0x00000037cf000670  Yes (*)     /lib64/libicudata.so.48
0x00000037b2a099c0  0x00000037b2a15878  Yes         /lib64/libxcb.so.1
0x00000037b9e08d80  0x00000037b9e72eec  Yes         /lib64/libpixman-1.so.0
0x00000037b5604fa0  0x00000037b5620ae0  Yes         /lib64/libpng15.so.15
0x00000037b5201a70  0x00000037b52079e0  Yes         /lib64/libXrender.so.1
0x00000037b4603dd0  0x00000037b461cccc  Yes         /lib64/libexpat.so.1
0x00000037b3200e80  0x00000037b3201bb0  Yes         /lib64/libXau.so.6
0x00007f46d30c8910  0x00007f46d3136484  Yes         /usr/lib64/libreoffice/ure/lib/bootstrap.uno.so
0x00007f46d2e87b20  0x00007f46d2e98ef8  Yes         /usr/lib64/libreoffice/ure/lib/libreg.so.3
0x00007f46d2c7d0b0  0x00007f46d2c8180c  Yes         /usr/lib64/libreoffice/ure/lib/libxmlreader.so
0x00007f46d2a65350  0x00007f46d2a75e44  Yes         /usr/lib64/libreoffice/ure/lib/libstore.so.3
0x00007f46d2854090  0x00007f46d285da54  Yes         /usr/lib64/libreoffice/ure/lib/libgcc3_uno.so
0x00007f46d26111b0  0x00007f46d261867c  Yes         /lib64/libnss_files.so.2
0x00007f46d1607b90  0x00007f46d1614018  Yes         /usr/lib64/libreoffice/ure/lib/stocservices.uno.so
0x00007f46d1397ef0  0x00007f46d13e3ff8  Yes         /usr/lib64/libreoffice/program/../program/configmgr.uno.so
0x00007f46d0d69290  0x00007f46d0dac500  Yes         /usr/lib64/libreoffice/program/libvclplug_gtklo.so
0x00000037bee69a90  0x00000037bf10b4f8  Yes         /lib64/libgtk-x11-2.0.so.0
0x00000037bca1e7c0  0x00000037bca810b4  Yes         /lib64/libgdk-x11-2.0.so.0
0x00007f46d0b33b30  0x00007f46d0b3fc04  Yes         /lib64/libatk-1.0.so.0
0x00007f46d080bee0  0x00007f46d08c7a84  Yes         /lib64/libgio-2.0.so.0
0x00007f46d05b8600  0x00007f46d05d2bfc  Yes         /lib64/libpangoft2-1.0.so.0
0x00007f46d03a8910  0x00007f46d03ad358  Yes         /lib64/libpangocairo-1.0.so.0
0x00007f46d0167eb0  0x00007f46d0186490  Yes         /lib64/libpango-1.0.so.0
0x00007f46cff4a130  0x00007f46cff51a4c  Yes         /lib64/libgdk_pixbuf_xlib-2.0.so.0
0x00007f46cfd450f0  0x00007f46cfd45fd8  Yes         /lib64/libgmodule-2.0.so.0
0x00007f46cfb3e260  0x00007f46cfb4154c  Yes         /lib64/librt.so.1
0x00007f46cf920750  0x00007f46cf933b50  Yes         /lib64/libgdk_pixbuf-2.0.so.0
0x00007f46cf6d7910  0x00007f46cf704dbc  Yes         /lib64/libgobject-2.0.so.0
0x00007f46cf3c7b70  0x00007f46cf45a74c  Yes         /lib64/libglib-2.0.so.0
0x00007f46cf1ac680  0x00007f46cf1ac7fc  Yes         /lib64/libgthread-2.0.so.0
0x00007f46cef36260  0x00007f46cef8834c  Yes         /usr/lib64/libreoffice/program/libvclplug_genlo.so
0x00007f46ced02700  0x00007f46ced0c7d0  Yes         /lib64/libXext.so.6
0x00007f46ceaf8be0  0x00007f46ceafcd18  Yes         /lib64/libSM.so.6
0x00007f46ce8dfeb0  0x00007f46ce8ede1c  Yes         /lib64/libICE.so.6
0x00007f46ce6d64f0  0x00007f46ce6d8cf8  Yes         /lib64/libXfixes.so.3
0x00007f46ce4d2b00  0x00007f46ce4d3438  Yes         /lib64/libXinerama.so.1
0x00007f46ce2c5130  0x00007f46ce2cefb4  Yes         /lib64/libXi.so.6
0x00007f46ce0bc830  0x00007f46ce0c0f34  Yes         /lib64/libXrandr.so.2
0x00007f46cdeb2a80  0x00007f46cdeb76dc  Yes         /lib64/libXcursor.so.1
0x00007f46cdcadc30  0x00007f46cdcae774  Yes         /lib64/libXcomposite.so.1
0x00000037bc600b90  0x00000037bc60159c  Yes         /lib64/libXdamage.so.1
0x00007f46cdaa6950  0x00007f46cdaab0ec  Yes         /lib64/libffi.so.5
0x00007f46cd889fc0  0x00007f46cd89a768  Yes         /lib64/libselinux.so.1
0x00007f46cd66e9b0  0x00007f46cd67ce1c  Yes         /lib64/libresolv.so.2
0x00007f46cd4676d0  0x00007f46cd468d48  Yes         /lib64/libuuid.so.1
0x00007f46cd23fb10  0x00007f46cd2606d8  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00007f46cd03a6a0  0x00007f46cd03a7b4  Yes         /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
0x00007f46cce360a0  0x00007f46cce38120  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
0x00007f46ccc30d40  0x00007f46ccc32200  Yes         /lib64/libcanberra-gtk.so.0
0x00000037cb0033c0  0x00000037cb00c31c  Yes         /lib64/libcanberra.so.0
0x00000037c7a020b0  0x00000037c7a0614c  Yes         /lib64/libvorbisfile.so.3
0x00000037c3803810  0x00000037c381ad6c  Yes         /lib64/libvorbis.so.0
0x00000037c3001a70  0x00000037c3004138  Yes         /lib64/libogg.so.0
0x00000037c8802880  0x00000037c880c010  Yes         /lib64/libtdb.so.1
0x00000037c2602400  0x00000037c26065d4  Yes         /lib64/libltdl.so.7
0x00000037be200dc0  0x00000037be205cac  Yes         /lib64/libcrypt.so.1
0x00000037bea03520  0x00000037bea42538  Yes         /lib64/libfreebl3.so
0x00007f46cca2bdf0  0x00007f46cca2d2d8  Yes         /usr/lib64/libreoffice/program/../program/localebe1.uno.so
0x00007f46cc025310  0x00007f46cc025de8  Yes         /usr/lib64/libreoffice/program/../program/libspl_unxlo.so
0x00007f46c75c6360  0x00007f46c75ee1c8  Yes         /usr/lib64/libreoffice/program/../program/libucb1.so
0x00007f46c716d790  0x00007f46c733088c  Yes         /usr/lib64/libreoffice/program/../program/libfwklo.so
0x00007f46c6ebea10  0x00007f46c6ef7928  Yes         /usr/lib64/libreoffice/program/../program/libucpfile1.so
0x00007f46c6cacab0  0x00007f46c6cae0d8  Yes         /usr/lib64/libreoffice/program/../program/desktopbe1.uno.so
0x00007f46c6aa34b0  0x00007f46c6aa66b8  Yes         /usr/lib64/libreoffice/program/../program/gconfbe1.uno.so
0x00000037c120b570  0x00000037c1223278  Yes         /lib64/libgconf-2.so.4
0x00000037be60a540  0x00000037be61c594  Yes         /lib64/libdbus-glib-1.so.2
0x00007f46c683d760  0x00007f46c68662b4  Yes         /lib64/libdbus-1.so.3
0x00007f46c64c2950  0x00007f46c651a708  Yes         /usr/lib64/libreoffice/program/../program/i18npool.uno.so
0x00000037d18680b0  0x00000037d196cba4  Yes         /lib64/libicui18n.so.48
0x00007f46c621d0c0  0x00007f46c62604e8  Yes         /usr/lib64/libreoffice/program/../program/libpackage2.so
0x00007f46c5e7ae50  0x00007f46c5eeedf4  Yes         /usr/lib64/libreoffice/program/../program/libdeployment.so
0x00007f46c5c40b90  0x00007f46c5c51158  Yes         /usr/lib64/libreoffice/program/../program/libhelplinkerlo.so
0x00000037cc80aab0  0x00000037cc82eb64  Yes         /lib64/libxslt.so.1
0x00007f46c5a39160  0x00007f46c5a3a5b8  Yes         /usr/lib64/libreoffice/program/../program/ucpexpand1.uno.so
0x00007f46c57d2ff0  0x00007f46c5808a28  Yes         /usr/lib64/libreoffice/program/../program/libunoxmllo.so
0x00007f46c557c7a0  0x00007f46c5583d3c  Yes         /usr/lib64/libreoffice/program/../program/libfileacc.so
0x00007f46c534a1d0  0x00007f46c535f150  Yes         /usr/lib64/libreoffice/program/../program/expwrap.uno.so
0x00007f46c504ced0  0x00007f46c5078658  Yes         /usr/lib64/libreoffice/program/../program/libuuilo.so
0x00007f46c4dfcd30  0x00007f46c4e2b2ac  Yes         /usr/lib64/libreoffice/program/../program/libfilterconfiglo.so
0x00007f46bf3f78e0  0x00007f46bfb4a844  Yes         /usr/lib64/libreoffice/program/../program/libswlo.so
0x00007f46c4378100  0x00007f46c438788c  Yes         /usr/lib64/libreoffice/program/../program/libavmedialo.so
0x00007f46c4099e40  0x00007f46c4138290  Yes         /usr/lib64/libreoffice/program/../program/libdrawinglayerlo.so
0x00000037bdaa4710  0x00000037bdb9ce94  Yes         /usr/lib64/libreoffice/program/../program/libeditenglo.so
0x00007f46beee2c70  0x00007f46bef2b478  Yes         /usr/lib64/libreoffice/program/../program/liblnglo.so
0x00007f46beacdb50  0x00007f46bec25654  Yes         /usr/lib64/libreoffice/program/../program/libsvxlo.so
0x00007f46be24ac50  0x00007f46be5f6988  Yes         /usr/lib64/libreoffice/program/../program/libsvxcorelo.so
0x00007f46bddec9d0  0x00007f46bddf35a0  Yes         /usr/lib64/libreoffice/program/../program/libswdlo.so
0x00007f46bdb5aeb0  0x00007f46bdbb6f6c  Yes         /usr/lib64/libreoffice/program/../program/libvbahelperlo.so
0x00007f46bd5a17d0  0x00007f46bd8431e0  Yes         /usr/lib64/libreoffice/program/../program/libxolo.so
0x00007f46bd2f7640  0x00007f46bd3126a0  Yes         /usr/lib64/libreoffice/program/../program/libcanvastoolslo.so
0x00007f46bd0a1540  0x00007f46bd0d6790  Yes         /usr/lib64/libreoffice/program/../program/libcppcanvaslo.so
0x00007f46bce03920  0x00007f46bce74ac0  Yes         /usr/lib64/libreoffice/program/../program/libmsfilterlo.so
0x00007f46bcab4a80  0x00007f46bcaba388  Yes         /usr/lib64/libreoffice/program/liblocaledata_euro.so
0x00007f46bc78bca0  0x00007f46bc78ce38  Yes         /usr/lib64/libreoffice/program/liblocaledata_en.so
0x00007f46bc4434b0  0x00007f46bc49a270  Yes         /usr/lib64/libreoffice/program/../program/libxstor.so
0x00007f46bc21cb30  0x00007f46bc22d89c  Yes         /usr/lib64/libreoffice/ure/lib/reflection.uno.so
0x00007f46b7de9a50  0x00007f46b7df8b1c  Yes         /usr/lib64/libreoffice/program/../program/ucpgio1.uno.so
0x00007f46b7bc5bd0  0x00007f46b7bd5adc  Yes         /usr/lib64/libreoffice/program/../program/fsstorage.uno.so
0x00007f46b796dcd0  0x00007f46b79a5998  Yes         /usr/lib64/libreoffice/program/../program/libfwllo.so
0x00007f46b6f39450  0x00007f46b6f4b188  Yes         /usr/lib64/libreoffice/ure/lib/introspection.uno.so
0x00007f46b64e7760  0x00007f46b651d5a8  Yes         /lib64/libcups.so.2
0x00007f46b629cd60  0x00007f46b62ca424  Yes         /lib64/libgssapi_krb5.so.2
0x00007f46b5fc8640  0x00007f46b6040340  Yes         /lib64/libkrb5.so.3
0x00007f46b5d86490  0x00007f46b5d9e92c  Yes         /lib64/libk5crypto.so.3
0x00007f46b5b7f520  0x00007f46b5b80114  Yes         /lib64/libcom_err.so.2
0x00000037c6a188e0  0x00000037c6a92a2c  Yes         /lib64/libgnutls.so.26
0x00000037bfe07200  0x00000037bfe52b48  Yes         /lib64/libgcrypt.so.11
0x00000037c0200960  0x00000037c0200ed8  Yes         /lib64/libgpg-error.so.0
0x00000037c50034f0  0x00000037c500872c  Yes         /lib64/libavahi-common.so.3
0x00000037c1e039a0  0x00000037c1e0c0c4  Yes         /lib64/libavahi-client.so.3
0x00007f46b5975a60  0x00007f46b597aeac  Yes         /lib64/libkrb5support.so.0
0x00007f46b5771120  0x00007f46b5771ac4  Yes         /lib64/libkeyutils.so.1
0x00000037c6e01ce0  0x00000037c6e0c9e8  Yes         /lib64/libtasn1.so.3
0x00000037c5e02cd0  0x00000037c5e0ba6c  Yes         /lib64/libp11-kit.so.0
0x00007f46b4d68de0  0x00007f46b4d6bcb8  Yes         /usr/lib64/libreoffice/program/../program/libmcnttype.so
0x00007f46b4b55d20  0x00007f46b4b5fcac  Yes         /usr/lib64/pkcs11/gnome-keyring-pkcs11.so
0x00007f46b494f260  0x00007f46b4950608  Yes         /usr/lib64/libreoffice/program/../program/pythonloader.uno.so
0x00007f46b4729c80  0x00007f46b4744864  Yes         /usr/lib64/libreoffice/program/../program/libpyuno.so
0x00000037c403efd0  0x00000037c411e560  Yes         /lib64/libpython2.7.so.1.0
0x00000037c3c00ee0  0x00000037c3c01814  Yes         /lib64/libutil.so.1
0x00007f46b445fa10  0x00007f46b44672c8  Yes         /usr/lib64/libreoffice/ure/lib/invocation.uno.so
0x00007f46b42518e0  0x00007f46b4257404  Yes         /usr/lib64/libreoffice/ure/lib/invocadapt.uno.so
0x00007f46a7df3220  0x00007f46a7df8858  Yes         /usr/lib64/python2.7/lib-dynload/_socketmodule.so
0x00007f46a7bed0e0  0x00007f46a7bedb4c  Yes         /usr/lib64/python2.7/lib-dynload/_functoolsmodule.so
0x00007f46a79e72a0  0x00007f46a79e9f40  Yes         /usr/lib64/python2.7/lib-dynload/_ssl.so
0x00007f46a779d780  0x00007f46a77cfc94  Yes         /lib64/libssl.so.10
0x00007f46a744ba00  0x00007f46a7513528  Yes         /lib64/libcrypto.so.10
0x00007f46a71eaba0  0x00007f46a71eb95c  Yes         /usr/lib64/python2.7/lib-dynload/cStringIO.so
0x00007f46a6fe3720  0x00007f46a6fe5de4  Yes         /usr/lib64/python2.7/lib-dynload/stropmodule.so
0x00007f46a6ddaba0  0x00007f46a6dde3c4  Yes         /usr/lib64/python2.7/lib-dynload/arraymodule.so
0x00007f46a6bce810  0x00007f46a6bd4bbc  Yes         /usr/lib64/libreoffice/program/../program/libspelllo.so
0x00007f46a69702e0  0x00007f46a69a1f58  Yes         /lib64/libhunspell-1.3.so.0
0x00007f46a671e1a0  0x00007f46a67561ec  Yes         /usr/lib64/libreoffice/program/../program/libucpchelp1.so
0x00007f46a641d4c0  0x00007f46a641e3d8  Yes         /usr/lib64/libreoffice/program/../program/fpicker.uno.so
0x00007f46a61fb930  0x00007f46a6212f98  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x00007f46a5fbf310  0x00007f46a5fc8c9c  Yes         /lib64/libgvfscommon.so.0
0x00007f46a5d8bf20  0x00007f46a5dab0cc  Yes         /lib64/libbluray.so.1
0x00007f46a5b7ace0  0x00007f46a5b83330  Yes         /usr/lib64/gio/modules/libgioremote-volume-monitor.so
0x00007f469c808bd0  0x00007f469c80904c  Yes         /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
0x00007f469c5b5950  0x00007f469c5d99e8  Yes         /lib64/librsvg-2.so.2
0x00000037bce08ce0  0x00000037bce27428  Yes         /lib64/libcroco-0.6.so.3
0x00007f469c34bc00  0x00007f469c34c830  Yes         /lib64/libnss_mdns4_minimal.so.2
0x00007f469c1450d0  0x00007f469c1488c4  Yes         /lib64/libnss_dns.so.2
0x00007f46b6d09c90  0x00007f46b6d0ae10  Yes         /lib64/libnss_myhostname.so.2
0x00007f46b6ae4d40  0x00007f46b6afb4bc  Yes         /usr/lib64/libreoffice/program/../program/libunordflo.so
0x00007f46b688b1c0  0x00007f46b68a7984  Yes         /lib64/librdf.so.0
0x00007f469cfac990  0x00007f469cfe7024  Yes         /lib64/librasqal.so.3
0x00007f469cd4b840  0x00007f469cd7bec4  Yes         /lib64/libraptor2.so.0
0x00007f4696ca6ae0  0x00007f4696dc8db8  Yes         /lib64/libdb-4.8.so
0x00007f469cae9ab0  0x00007f469cb2d11c  Yes         /lib64/libmpfr.so.4
0x00007f4696a2c980  0x00007f4696a6f278  Yes         /lib64/libcurl.so.4
0x00007f469681b280  0x00007f4696820598  Yes         /lib64/libyajl.so.2
0x00007f46965b8280  0x00007f46966054b8  Yes         /lib64/libgmp.so.10
0x00007f469637cfe0  0x00007f46963814d8  Yes         /lib64/libidn.so.11
0x00000037c54036a0  0x00000037c540ab14  Yes         /lib64/liblber-2.4.so.2
0x00000037c580ec70  0x00000037c583d248  Yes         /lib64/libldap-2.4.so.2
0x00000037c1609640  0x00000037c162d070  Yes         /lib64/libssl3.so
0x00000037c0e09ca0  0x00000037c0e22200  Yes         /lib64/libsmime3.so
0x00000037bfa18ac0  0x00000037bfafb794  Yes         /lib64/libnss3.so
0x00000037c060aa30  0x00000037c0615af4  Yes         /lib64/libnssutil3.so
0x00000037c0a00fb0  0x00000037c0a01ef8  Yes         /lib64/libplds4.so
0x00007f46961764d0  0x00007f4696177bd4  Yes         /lib64/libplc4.so
0x00000037bd20d1f0  0x00000037bd22ca70  Yes         /lib64/libnspr4.so
0x00007f46945d53f0  0x00007f46945eec08  Yes         /lib64/libssh2.so.1
0x00007f46943b9840  0x00007f46943c9504  Yes         /lib64/libsasl2.so.2
0x00007f46941af0c0  0x00007f46941b247c  Yes         /usr/lib64/redland/librdf_storage_sqlite.so
0x00000037c340a2e0  0x00000037c3486860  Yes         /lib64/libsqlite3.so.0
0x00007f4673df7920  0x00007f4673dfd4fc  Yes         /usr/lib64/redland/librdf_storage_virtuoso.so
0x00007f4673ba9fd0  0x00007f4673be1bd4  Yes         /lib64/libiodbc.so.2
0x00007f46739901a0  0x00007f467399d054  Yes         /lib64/libiodbcinst.so.2
0x00007f467374f5b0  0x00007f467377dc80  Yes         /usr/lib64/libreoffice/program/../program/libxmlsecurity.so
0x00007f4697df5c10  0x00007f4697dfcb7c  Yes         /usr/lib64/libreoffice/program/../program/libhyphenlo.so
0x00007f4697beaf40  0x00007f4697bedbb8  Yes         /lib64/libhyphen.so.0
0x00007f46979ddac0  0x00007f46979e5fcc  Yes         /usr/lib64/libreoffice/program/../program/liblnthlo.so
0x00007f4695f72180  0x00007f4695f72d2c  Yes         /lib64/libmythes-1.2.so.0
0x00007f469d7ebb50  0x00007f469d805bdc  Yes         /usr/lib64/libreoffice/program/../program/libucppkg1.so
0x00007f469d5daf90  0x00007f469d5ded9c  Yes         /usr/lib64/libreoffice/program/../program/libguesslanglo.so
0x00007f469d3ad4d0  0x00007f469d3af074  Yes         /lib64/libexttextcat.so.0
0x00007f4695bdade0  0x00007f4695d09ca0  Yes         /usr/lib64/libreoffice/program/libswuilo.so
0x00007f46733c76a0  0x00007f46734ead28  Yes         /usr/lib64/libreoffice/program/libmswordlo.so
0x00007f4672839e90  0x00007f4672d434c8  Yes         /usr/lib64/libreoffice/program/libooxlo.so
0x00007f46723b6210  0x00007f46723bca48  Yes         /usr/lib64/libreoffice/program/../ure-link/lib/libsal_textenc.so
0x00007f4672065590  0x00007f4672122cdc  Yes         /usr/lib64/libreoffice/program/../program/vbaswobj.uno.so
0x00007f46959396f0  0x00007f469593af0c  Yes         /usr/lib64/libreoffice/ure/lib/textinstream.uno.so
0x00007f4671bd7ab0  0x00007f4671d335e8  Yes         /usr/lib64/libreoffice/program/../program/libfrmlo.so
0x00007f46717ef550  0x00007f46718affb0  Yes         /usr/lib64/libreoffice/program/../program/libdbtoolslo.so
0x00007f467157c180  0x00007f46715818a0  Yes         /usr/lib64/libreoffice/program/../program/libevtattlo.so
0x00007f46710d9700  0x00007f46712ce81c  Yes         /usr/lib64/libreoffice/program/libcuilo.so
0x00007f4670dd0090  0x00007f4670dd18b8  Yes         /usr/lib64/libreoffice/program/liblocaledata_es.so
0x00007f4670a91ad0  0x00007f4670a983e8  Yes         /usr/lib64/libreoffice/program/liblocaledata_others.so
(*): Shared library is missing debugging information.
$1 = 0x0
$2 = 0x0
rax            0x38ea	14570
rbx            0x3a90fd8	61411288
rcx            0x1	1
rdx            0x7f469d23ba10	139941260802576
rsi            0x7fff6ac6ed00	140734984809728
rdi            0x3a90fd8	61411288
rbp            0x7f469d23ba10	0x7f469d23ba10
rsp            0x7fff6ac6ecb0	0x7fff6ac6ecb0
r8             0x0	0
r9             0x7f46bc1e1e70	139941780528752
r10            0x8c	140
r11            0x37af77b470	239167059056
r12            0x0	0
r13            0x7f469c7f83c8	139941250040776
r14            0x38b92c0	59478720
r15            0x201bcd0	33668304
rip            0x37b8a786ef	0x37b8a786ef <SvPtrarr::Insert(void* const&, unsigned short)+111>
eflags         0x10202	[ IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function SvPtrarr::Insert(void* const&, unsigned short):
   0x00000037b8a78680 <+0>:	mov    %rbx,-0x20(%rsp)
   0x00000037b8a78685 <+5>:	mov    %rbp,-0x18(%rsp)
   0x00000037b8a7868a <+10>:	mov    %rdi,%rbx
   0x00000037b8a7868d <+13>:	mov    %r13,-0x8(%rsp)
   0x00000037b8a78692 <+18>:	mov    %r12,-0x10(%rsp)
   0x00000037b8a78697 <+23>:	sub    $0x28,%rsp
   0x00000037b8a7869b <+27>:	cmpw   $0x0,0x8(%rdi)
   0x00000037b8a786a0 <+32>:	mov    %rsi,%r13
   0x00000037b8a786a3 <+35>:	movzwl %dx,%ebp
   0x00000037b8a786a6 <+38>:	jne    0x37b8a786c5 <SvPtrarr::Insert(void* const&, unsigned short)+69>
   0x00000037b8a786a8 <+40>:	movzwl 0xa(%rdi),%edx
   0x00000037b8a786ac <+44>:	mov    $0x1,%eax
   0x00000037b8a786b1 <+49>:	movzwl %dx,%esi
   0x00000037b8a786b4 <+52>:	cmp    $0x1,%dx
   0x00000037b8a786b8 <+56>:	cmova  %esi,%eax
   0x00000037b8a786bb <+59>:	add    %eax,%esi
   0x00000037b8a786bd <+61>:	movslq %esi,%rsi
   0x00000037b8a786c0 <+64>:	callq  0x37b8a785f0 <SvPtrarr::_resize(unsigned long)>
   0x00000037b8a786c5 <+69>:	mov    (%rbx),%rax
   0x00000037b8a786c8 <+72>:	test   %rax,%rax
   0x00000037b8a786cb <+75>:	je     0x37b8a78748 <SvPtrarr::Insert(void* const&, unsigned short)+200>
   0x00000037b8a786cd <+77>:	movzwl 0xa(%rbx),%ecx
   0x00000037b8a786d1 <+81>:	cmp    %bp,%cx
   0x00000037b8a786d4 <+84>:	ja     0x37b8a78710 <SvPtrarr::Insert(void* const&, unsigned short)+144>
   0x00000037b8a786d6 <+86>:	lea    0x0(,%rbp,8),%r12
   0x00000037b8a786de <+94>:	mov    0x0(%r13),%rdx
   0x00000037b8a786e2 <+98>:	add    $0x1,%ecx
   0x00000037b8a786e5 <+101>:	mov    0x10(%rsp),%rbp
   0x00000037b8a786ea <+106>:	mov    0x20(%rsp),%r13
=> 0x00000037b8a786ef <+111>:	mov    %rdx,(%rax,%r12,1)
   0x00000037b8a786f3 <+115>:	mov    %cx,0xa(%rbx)
   0x00000037b8a786f7 <+119>:	subw   $0x1,0x8(%rbx)
   0x00000037b8a786fc <+124>:	mov    0x18(%rsp),%r12
   0x00000037b8a78701 <+129>:	mov    0x8(%rsp),%rbx
   0x00000037b8a78706 <+134>:	add    $0x28,%rsp
   0x00000037b8a7870a <+138>:	retq   
   0x00000037b8a7870b <+139>:	nopl   0x0(%rax,%rax,1)
   0x00000037b8a78710 <+144>:	movzwl %bp,%edi
   0x00000037b8a78713 <+147>:	movzwl %bp,%ebp
   0x00000037b8a78716 <+150>:	lea    0x0(,%rdi,8),%r12
   0x00000037b8a7871e <+158>:	sub    %ebp,%ecx
   0x00000037b8a78720 <+160>:	lea    0x8(%rax,%rdi,8),%rdi
   0x00000037b8a78725 <+165>:	movslq %ecx,%rcx
   0x00000037b8a78728 <+168>:	lea    0x0(,%rcx,8),%rdx
   0x00000037b8a78730 <+176>:	lea    (%rax,%r12,1),%rsi
   0x00000037b8a78734 <+180>:	callq  0x37b8a482c0 <memmove@plt>
   0x00000037b8a78739 <+185>:	mov    (%rbx),%rax
   0x00000037b8a7873c <+188>:	movzwl 0xa(%rbx),%ecx
   0x00000037b8a78740 <+192>:	jmp    0x37b8a786de <SvPtrarr::Insert(void* const&, unsigned short)+94>
   0x00000037b8a78742 <+194>:	nopw   0x0(%rax,%rax,1)
   0x00000037b8a78748 <+200>:	lea    0x0(,%rbp,8),%r12
   0x00000037b8a78750 <+208>:	movzwl 0xa(%rbx),%ecx
   0x00000037b8a78754 <+212>:	jmp    0x37b8a786de <SvPtrarr::Insert(void* const&, unsigned short)+94>
End of assembler dump.
Comment 1 Caolan McNamara 2012-08-27 15:38:56 EDT
caolanm->mstahl: does this bt speak to you, got some undo stuff in it
Comment 2 Milan Bouchet-Valat 2012-08-29 04:09:28 EDT
Looks like I'm able to reproduce it from time to time. My workflow at the moment involves copying a table from an HTML file, pasting it into Writer, copying a column from it, *then hitting Ctrl+Z to remove it*, and pasting the copied column in an existing table. That's not something very common... It works 90% of the time, but sometimes I get the crash (maybe when I add another operation, like removing or adding a row, to the process).

Here's another trace, FWIW:
[New LWP 7762]
[New LWP 7763]
[New LWP 7765]
[New LWP 7771]
[New LWP 7783]
[New LWP 7766]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: "/usr/lib/debug/usr/lib64/libicudata.so.48.1.1.debug": separate debug info file has no debug info
Core was generated by `/usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=6'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f2e59e62f6f in operator[] (nP=0, this=0x293a818) at /usr/src/debug/libreoffice-3.5.6.2/sw/inc/cellatr.hxx:87
87	class SW_DLLPUBLIC SwTblBoxValue : public SfxPoolItem

Thread 6 (Thread 0x7f2e716be700 (LWP 7766)):
#0  0x00000037af6e8bcf in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00007f2e73bf7285 in x11::SelectionManager::dispatchEvent (this=this@entry=0x7f2e76533008, millisec=millisec@entry=1000) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/generic/dtrans/X11_selection.cxx:3737
        aPollFD = {fd = 19, events = 1, revents = 0}
        aGuard = {<osl::ClearableGuard<osl::Mutex>> = {pT = 0x0}, pResetT = 0x7f2e765333c8}
#2  0x00007f2e73bf747a in x11::SelectionManager::run (pThis=0x7f2e76533008) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/generic/dtrans/X11_selection.cxx:3775
        aNow = {tv_sec = 1346168109, tv_usec = 480174}
        This = 0x7f2e76533008
        aLast = {tv_sec = 1346168109, tv_usec = 87066}
        xFact = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f2e774dc058}, <No data fields>}
#3  0x00000037b4a16d7c in osl_thread_start_Impl (pData=0x1401d50) at thread.c:277
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = {0, 4997862513817957108, 0, 19036368, 139837448120064, 19, -4969973228499094796, 4986769271110906612}, __mask_was_saved = 0}}, __pad = {0x7f2e716bdd40, 0x0, 0x0, 0x0}}
        __cancel_routine = 0x37b4a16b80 <osl_thread_cleanup_Impl>
        __cancel_arg = 0x1401d50
        __not_first_call = <optimized out>
        terminate = <optimized out>
        pImpl = 0x1401d50
#4  0x00000037afe07d14 in start_thread (arg=0x7f2e716be700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f2e716be700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139837448120064, 4997862513817957108, 0, 19036368, 139837448120064, 19, -4969973228463443212, 4986794001004901108}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#5  0x00000037af6f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 5 (Thread 0x7f2e5b35c700 (LWP 7783)):
#0  0x00000037af6e8bcf in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00007f2e73bde6c8 in ICEConnectionWorker () at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/generic/app/sm.cxx:665
        nConnectionsBefore = 1
        bWakeup = <optimized out>
        nBytes = 16
        pLocalFD = 0x7f2e512ffcd8
        nRet = <optimized out>
#2  0x00000037b4a16d7c in osl_thread_start_Impl (pData=0x17bb1d0) at thread.c:277
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = {0, 4997862513817957108, 0, 22871968, 139837075474176, 20, -4969916722835606796, 4986769271110906612}, __mask_was_saved = 0}}, __pad = {0x7f2e5b35bd40, 0x0, 0x0, 0x0}}
        __cancel_routine = 0x37b4a16b80 <osl_thread_cleanup_Impl>
        __cancel_arg = 0x17bb1d0
        __not_first_call = <optimized out>
        terminate = <optimized out>
        pImpl = 0x17bb1d0
#3  0x00000037afe07d14 in start_thread (arg=0x7f2e5b35c700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f2e5b35c700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139837075474176, 4997862513817957108, 0, 22871968, 139837075474176, 20, -4969916722799955212, 4986794001004901108}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#4  0x00000037af6f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 4 (Thread 0x7f2e5bfff700 (LWP 7771)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
No locals.
#1  0x00000037b4a13b99 in osl_waitCondition (Condition=0x12ae0d0, pTimeout=0x0) at /usr/src/debug/libreoffice-3.5.6.2/sal/osl/unx/conditn.cxx:297
        pCond = 0x12ae0d0
        nRet = <optimized out>
        Result = osl_cond_result_ok
#2  0x00007f2e689df8b4 in wait (pTimeout=0x0, this=0x7f2e63914db8) at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/osl/conditn.hxx:84
No locals.
#3  GrammarCheckingIterator::DequeueAndCheck (this=0x7f2e63914c58) at /usr/src/debug/libreoffice-3.5.6.2/linguistic/source/gciterator.cxx:636
        bQueueEmpty = true
        aLangPortions = empty uno::Sequence
        aLangPortionsLocale = empty uno::Sequence
#4  0x00000037b4a16d7c in osl_thread_start_Impl (pData=0x15ae910) at thread.c:277
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = {0, 4997862513817957108, 0, 239163539456, 139837088724736, 139837558470520, -4969917325741640972, 4986769271110906612}, __mask_was_saved = 0}}, __pad = {0x7f2e5bffed40, 0x0, 0x0, 0x0}}
        __cancel_routine = 0x37b4a16b80 <osl_thread_cleanup_Impl>
        __cancel_arg = 0x15ae910
        __not_first_call = <optimized out>
        terminate = <optimized out>
        pImpl = 0x15ae910
#5  0x00000037afe07d14 in start_thread (arg=0x7f2e5bfff700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f2e5bfff700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139837088724736, 4997862513817957108, 0, 239163539456, 139837088724736, 139837558470520, -4969917325705989388, 4986794001004901108}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#6  0x00000037af6f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 3 (Thread 0x7f2e70ebd700 (LWP 7765)):
#0  0x00000037afe0e32d in accept () at ../sysdeps/unix/syscall-template.S:82
No locals.
#1  0x00000037b4a1d460 in osl_acceptPipe (pPipe=0x1227e10) at pipe.c:430
        s = <optimized out>
        flags = <optimized out>
        pAcceptedPipe = <optimized out>
#2  0x00000037bc23f625 in accept (Connection=..., this=0x7f2e75e06b18) at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/osl/pipe.hxx:141
No locals.
#3  desktop::OfficeIPCThread::run (this=0x7f2e75e06b08) at /usr/src/debug/libreoffice-3.5.6.2/desktop/source/app/officeipcthread.cxx:655
        nError = 4294966784
#4  0x00000037bc24205a in osl::threadFunc (param=0x7f2e75e06b08) at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/osl/thread.hxx:190
        pObj = 0x7f2e75e06b08
#5  0x00000037b4a16d7c in osl_thread_start_Impl (pData=0x1221a10) at thread.c:277
        __cancel_buf = {__cancel_jmp_buf = {{__cancel_jmp_buf = {0, 4997862513817957108, 0, 239163539456, 139837439727360, 0, -4969976526497107212, 4986769271110906612}, __mask_was_saved = 0}}, __pad = {0x7f2e70ebcd40, 0x0, 0x0, 0x0}}
        __cancel_routine = 0x37b4a16b80 <osl_thread_cleanup_Impl>
        __cancel_arg = 0x1221a10
        __not_first_call = <optimized out>
        terminate = <optimized out>
        pImpl = 0x1221a10
#6  0x00000037afe07d14 in start_thread (arg=0x7f2e70ebd700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f2e70ebd700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139837439727360, 4997862513817957108, 0, 239163539456, 139837439727360, 0, -4969976526461455628, 4986794001004901108}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00000037af6f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 0x7f2e7ec59700 (LWP 7763)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:218
No locals.
#1  0x00000037b4a3c9a9 in rtl_cache_wsupdate_wait (seconds=10) at /usr/src/debug/libreoffice-3.5.6.2/sal/rtl/source/alloc_cache.cxx:1411
        now = {tv_sec = 1346168102, tv_usec = 999092}
        wakeup = {tv_sec = 1346168112, tv_nsec = 999092000}
#2  rtl_cache_wsupdate_all (arg=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/sal/rtl/source/alloc_cache.cxx:1551
        seconds = 10
#3  0x00000037afe07d14 in start_thread (arg=0x7f2e7ec59700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f2e7ec59700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139837672101632, 4997862513817957108, 0, 239163539456, 139837672101632, 0, -4969998222488751372, 4986794001004901108}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#4  0x00000037af6f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 0x7f2e7ec6a8c0 (LWP 7762)):
#0  0x00007f2e59e62f6f in operator[] (nP=0, this=0x293a818) at /usr/src/debug/libreoffice-3.5.6.2/sw/inc/cellatr.hxx:87
No locals.
#1  operator[] (nP=0, this=0x293a818) at /usr/src/debug/libreoffice-3.5.6.2/sw/inc/swtable.hxx:81
No locals.
#2  SwUndoTblNdsChg::UndoImpl (this=0x223f9c0, rContext=...) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/undo/untbl.cxx:1766
        pCpyBox = 0xc000000000
        rLnBoxes = @0x7f2e7e445848: {<SvPtrarr> = {pData = 0x7f2e5179b820, nFree = 16, nA = 0}, <No data fields>}
        aIdx = {pNd = 0x2a9a8b0, pNext = 0x7f2e45870d10, pPrev = 0x7f2e600b3050}
        aTmpBox = {pBox = 0x0, aLines = {<SvPtrarr> = {pData = 0x7f2e45837198, nFree = 10, nA = 0}, <No data fields>}, pUpper = 0x0, pLineBefore = 0x0, pLineBehind = 0x0}
        aDelBoxes = std::vector of length 0, capacity 0
        aMsgHnt = {<SwMsgPoolItem> = {<SfxPoolItem> = {_vptr.SfxPoolItem = 0x7f2e5a625230, nRefCount = 0, nWhich = 163, nKind = 0}, <No data fields>}, pTbl = 0x293a7e0, DATA = {pDelTbl = 0x0, pNewTblNm = 0x0}, pHistory = 0x0, nSplitLine = 65535, eFlags = TBL_BOXPTR, bModified = 0 '\000', bBehindSplitLine = 0 '\000'}
        pPCD = 0x0
#3  0x00007f2e59e44ab5 in SwUndo::UndoWithContext (this=0x223f9c0, rContext=...) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/undo/undobj.cxx:253
        pContext = 0x7fffbca48540
#4  0x00000037b8ac6141 in SfxListUndoAction::UndoWithContext (this=0x2c95580, i_context=...) at /usr/src/debug/libreoffice-3.5.6.2/svl/source/undo/undo.cxx:1347
        i = 0
#5  0x00000037b8ac8356 in SfxUndoManager::ImplUndo (this=0x1616ee8, i_contextOrNull=0x7fffbca48540) at /usr/src/debug/libreoffice-3.5.6.2/svl/source/undo/undo.cxx:807
        aGuard = {m_rManagerData = @0x1616f30, m_aGuard = {<osl::ClearableGuard<osl::Mutex>> = {pT = 0x0}, pResetT = 0x1616f30}, m_aUndoActionsCleanup = empty std::list, m_notifiers = empty std::list}
        aDoingGuard = {<comphelper::ScopeGuard> = {<boost::noncopyable_::noncopyable> = {<No data fields>}, m_func = {<boost::function_base> = {vtable = 0x37b8cff511, functor = {obj_ptr = 0x37b8aca1a0, type = {type = 0x37b8aca1a0, const_qualified = 92, volatile_qualified = 111}, func_ptr = 0x37b8aca1a0 <comphelper::FlagGuard::ResetFlag(bool&)>, bound_memfunc_ptr = {memfunc_ptr = (void (boost::detail::function::X::*)(boost::detail::function::X * const, int)) 0x37b8aca1a0 <comphelper::FlagGuard::ResetFlag(bool&)>, this adjustment 23162716, obj_ptr = 0x7f2e59b61766}, obj_ref = {obj_ptr = 0x37b8aca1a0, is_const_qualified = 92, is_volatile_qualified = 111}, data = -96 '\240'}}, static args = <optimized out>, static arity = <optimized out>}, m_excHandling = comphelper::ScopeGuard::IGNORE_EXCEPTIONS}, <No data fields>}
        sActionComment = "Supprimer la ligne"
        aLockGuard = {m_manager = @0x1616ee8}
        pAction = 0x2c95580
#6  0x00007f2e59e3882d in sw::UndoManager::impl_DoUndoRedo (this=0x1616ee0, undoOrRedo=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/undo/docundo.cxx:490
        c = {m_pDoc = 0x16159d0}
        pEditShell = 0x170f2c0
        bSaveCursors = <optimized out>
        context = {<SfxUndoContext> = {_vptr.SfxUndoContext = 0x7f2e5a6330b0}, m_rDoc = @0x16159d0, m_rCursorSupplier = @0x170f440, m_pSelFmt = 0x0, m_pMarkList = 0x0}
        bRet = false
#7  0x00007f2e59c878f6 in SwEditShell::Undo (this=0x170f2c0, nCount=1) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/edit/edundo.cxx:136
        i = <optimized out>
        nLastUndoId = UNDO_ROW_DELETE
        bRestoreCrsr = false
        eOld = 48
        aCurr = {pPrev = 0x170f2c0, pRoot = 0x170f6f0}
        bRet = <optimized out>
#8  0x00007f2e5a244f76 in SwWrtShell::Do (this=0x170f2c0, eDoType=SwWrtShell::UNDO, nCnt=1) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/ui/wrtsh/wrtundo.cxx:63
        bSaveDoesUndo = 1 '\001'
        bCreateXSelection = <optimized out>
        bFrmSelected = <optimized out>
#9  0x00007f2e5a14c637 in SwBaseShell::ExecUndo (this=<optimized out>, rReq=...) at /usr/src/debug/libreoffice-3.5.6.2/sw/source/ui/shells/basesh.cxx:493
        nId = 5701
        pArgs = 0x2fc6be0
        pItem = 0x37b4a3b861
        nCnt = 1
#10 0x00000037bab7c947 in CallExec (rReq=..., pFunc=<optimized out>, this=0x272cd20) at /usr/src/debug/libreoffice-3.5.6.2/sfx2/inc/sfx2/shell.hxx:201
No locals.
#11 SfxDispatcher::Call_Impl (this=0x16a9920, rShell=..., rSlot=..., rReq=..., bRecord=1 '\001') at /usr/src/debug/libreoffice-3.5.6.2/sfx2/source/control/dispatch.cxx:276
        bThisDispatcherAlive = 1 '\001'
        pOldInCallAliveFlag = 0x0
        pView = 0x16a98a0
#12 0x00000037bab757a4 in SfxBindings::Execute_Impl (this=0x16a96c0, aReq=..., pSlot=0x7f2e5a6c52b8, pShell=0x272cd20) at /usr/src/debug/libreoffice-3.5.6.2/sfx2/source/control/bindings.cxx:1310
No locals.
#13 0x00000037bab93d82 in SfxDispatchController_Impl::dispatch (this=0x21a4440, aURL=..., aArgs=empty uno::Sequence, rListener=...) at /usr/src/debug/libreoffice-3.5.6.2/sfx2/source/control/unoctitm.cxx:743
        aReq = {<SfxHint> = {_vptr.SfxHint = 0x37bafe6870}, nSlot = 5701, pArgs = 0x0, pImp = 0x3112950}
        aSet = {<SfxItemSet> = {_vptr.SfxItemSet = 0x37b8cf8690, _pPool = 0x1615e40, _pParent = 0x0, _aItems = 0x0, _pWhichRanges = 0x295daf0, _nCount = 0}, aDefault = {<SfxPoolItem> = {_vptr.SfxPoolItem = 0x37b8cf8a70, nRefCount = 0, nWhich = 0, nKind = 0}, <No data fields>}, nFree = 10}
        pSlot = 0x7f2e5a6c52b8
        aURLObj = {m_aAbsURIRef = ".uno:Undo", m_aScheme = {m_nBegin = 0, m_nLength = 4}, m_aUser = {m_nBegin = -1, m_nLength = 0}, m_aAuth = {m_nBegin = -1, m_nLength = 0}, m_aHost = {m_nBegin = -1, m_nLength = 0}, m_aPort = {m_nBegin = -1, m_nLength = 0}, m_aPath = {m_nBegin = 5, m_nLength = 4}, m_aQuery = {m_nBegin = -1, m_nLength = 0}, m_aFragment = {m_nBegin = -1, m_nLength = 0}, m_eScheme = INET_PROT_UNO, m_eSmartScheme = INET_PROT_HTTP}
        nModifier = <optimized out>
        nAddArgs = <optimized out>
        aInternalSet = {<SfxItemSet> = {_vptr.SfxItemSet = 0x37b8cf8690, _pPool = 0x12459f0, _pParent = 0x0, _aItems = 0x30763e0, _pWhichRanges = 0x2538c40, _nCount = 1}, aDefault = {<SfxPoolItem> = {_vptr.SfxPoolItem = 0x37b8cf8a70, nRefCount = 0, nWhich = 0, nKind = 0}, <No data fields>}, nFree = 8}
        pShell = 0x272cd20
        lNewArgs = empty uno::Sequence
        nCount = 0
        bTemp = <optimized out>
        aAddArgs = std::vector of length 0, capacity 0
        xFrameRef = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f2e51308670}, <No data fields>}
        bSuccess = 0 '\000'
        pItem = 0x0
        nCall = <optimized out>
        nMarkArg = <optimized out>
        bVBARequest = <optimized out>
        eMapUnit = SFX_MAPUNIT_TWIP
        aGuard = {m_solarMutex = @0x1185ba0}
#14 0x00000037bab94763 in SfxOfficeDispatch::dispatch (this=0x7f2e50a0bd90, aURL=..., aArgs=empty uno::Sequence) at /usr/src/debug/libreoffice-3.5.6.2/sfx2/source/control/unoctitm.cxx:375
        layer = {m_aEnvTypeName = "gcc3", m_xPreviousContext = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x1243ba0}, <No data fields>}}
#15 0x00000037b96a9750 in svt::AsyncAccelExec::impl_ts_asyncCallback (this=0x25661c0) at /usr/src/debug/libreoffice-3.5.6.2/svtools/source/misc/acceleratorexecute.cxx:501
No locals.
#16 0x00000037b70c6d2a in Call (pCaller=<optimized out>, this=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/tools/link.hxx:140
No locals.
#17 DoEvent_Impl (pEvent=<optimized out>, this=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/helper/evntpost.cxx:59
No locals.
#18 vcl::EventPoster::LinkStubDoEvent_Impl (pThis=<optimized out>, pCaller=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/helper/evntpost.cxx:62
No locals.
#19 0x00000037b7164e82 in Call (pCaller=<optimized out>, this=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/tools/link.hxx:140
No locals.
#20 ImplHandleUserEvent (pSVEvent=0x310eb30) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/winproc.cxx:1999
No locals.
#21 ImplWindowFrameProc (pWindow=<optimized out>, nEvent=22, pEvent=0x310eb30) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/winproc.cxx:2571
        nRet = 0
#22 0x00000037b716e5cc in CallCallback (pEvent=0x310eb30, nEvent=22, this=0x124d770) at /usr/src/debug/libreoffice-3.5.6.2/vcl/inc/salframe.hxx:294
No locals.
#23 SalGenericDisplay::DispatchInternalEvent (this=0x11fe2f0) at /usr/src/debug/libreoffice-3.5.6.2/vcl/generic/app/gendisp.cxx:102
        pData = 0x310eb30
        pFrame = 0x124d770
        nEvent = 22
#24 0x00007f2e75a130af in GtkData::userEventFn (data=data@entry=0x1186ed0) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/gtk/app/gtkdata.cxx:946
        bContinue = 1
        aGuard = {pT = 0x1185ba0}
        pThis = 0x1186ed0
        pData = 0x1
#25 0x00007f2e75a13129 in call_userEventFn (data=0x1186ed0) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/gtk/app/gtkdata.cxx:956
No locals.
#26 0x00007f2e7408b695 in g_main_dispatch (context=0x11be960) at gmain.c:2539
        dispatch = 0x7f2e740893f0 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0x1186ed0
        callback = 0x7f2e75a13100 <call_userEventFn(void*)>
        cb_funcs = 0x7f2e74361960
        cb_data = 0x26ca400
        current_source_link = {data = 0x30dc3c0, next = 0x0}
        need_destroy = <optimized out>
        source = 0x30dc3c0
        current = 0x1358790
        i = <optimized out>
#27 g_main_context_dispatch (context=context@entry=0x11be960) at gmain.c:3075
No locals.
#28 0x00007f2e7408b9c8 in g_main_context_iterate (context=context@entry=0x11be960, block=block@entry=0, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
        max_priority = -100
        timeout = 0
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = <optimized out>
        fds = 0x1664d90
#29 0x00007f2e7408ba84 in g_main_context_iteration (context=0x11be960, may_block=0) at gmain.c:3207
        retval = <optimized out>
#30 0x00007f2e75a12e51 in GtkData::Yield (this=0x1186ed0, bWait=true, bHandleAllCurrentEvents=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/gtk/app/gtkdata.cxx:582
        nMaxEvents = 1
        wasOneEvent = <optimized out>
        aReleaser = {m_nYieldCount = 1}
        bDispatchThread = true
        bWasEvent = <optimized out>
#31 0x00007f2e75a13cdd in GtkInstance::Yield (this=0x1186e30, bWait=<optimized out>, bHandleAllCurrentEvents=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/gtk/app/gtkinst.cxx:613
No locals.
#32 0x00000037b6ef8de4 in ImplYield (i_bAllEvents=false, i_bWait=true) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/app/svapp.cxx:458
        pSVData = 0x37b74ca4a0
#33 Application::Yield (i_bAllEvents=false) at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/app/svapp.cxx:492
No locals.
#34 0x00000037b6ef8e87 in Application::Execute () at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/app/svapp.cxx:435
        pSVData = 0x37b74ca4a0
#35 0x00000037bc21ddb9 in desktop::Desktop::Main (this=0x7fffbca49630) at /usr/src/debug/libreoffice-3.5.6.2/desktop/source/app/app.cxx:1885
        layer2 = {m_aEnvTypeName = "gcc3", m_xPreviousContext = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f2e75e1fb80}, <No data fields>}}
        bTerminateRequested = 0 '\000'
        nAcquireCount = <optimized out>
        rCmdLineArgs = @0x37bc468f40: {m_cwdUrl = {<boost::optional_detail::optional_base<rtl::OUString>> = {<boost::optional_detail::optional_tag> = {<No data fields>}, m_initialized = true, m_storage = {dummy_ = {data = "\360\360Kv.\177\000", aligner_ = {<No data fields>}}}}, <No data fields>}, m_aBoolParams = '\000' <repeats 15 times>, "\001", '\000' <repeats 16 times>, m_aStrParams = {"", "6", "" <repeats 19 times>}, m_aStrSetParams = "\000\001", '\000' <repeats 18 times>, m_eArgumentCount = desktop::CommandLineArgs::MANY, m_bDocumentArgs = true, m_aMutex = {mutex = 0x894d60}, static m_pGroupDefinitions = {{nCount = 8, pGroupMembers = 0x37bc468de0}}}
        aConfigErrHandler = {m_pContext = 0x0, m_xHandler = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x0}, <No data fields>}}
        xRestartManager = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f2e6ae29d60}, <No data fields>}
        layer = {m_aEnvTypeName = "gcc3", m_xPreviousContext = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f2e75e1fb40}, <No data fields>}}
        aOptions = {<utl::detail::Options> = {<utl::ConfigurationBroadcaster> = {_vptr.ConfigurationBroadcaster = 0x37b99efd90, mpList = 0x0, m_nBroadcastBlocked = 0, m_nBlockedHint = 0}, <utl::ConfigurationListener> = {_vptr.ConfigurationListener = 0x37b99efdc8}, <No data fields>}, <SfxListener> = {_vptr.SfxListener = 0x37b99efdf0, aBCs = {<SvPtrarr> = empty SvArray, <No data fields>}}, static sm_pSingleImplConfig = 0x12ec5b0, static sm_nAccessibilityRefCount = 5}
        eError = desktop::Desktop::BE_UNO_SERVICEMANAGER
        xSMgr = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f2e774dc058}, <No data fields>}
        xDesktop = <optimized out>
        aAppearanceCfg = {<utl::ConfigItem> = {<utl::ConfigurationBroadcaster> = {_vptr.ConfigurationBroadcaster = 0x37b99efe70, mpList = 0x0, m_nBroadcastBlocked = 0, m_nBlockedHint = 0}, sSubTree = "Office.Common/View", m_xHierarchyAccess = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x7f2e6ae5d660}, <No data fields>}, xChangeLstnr = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x0}, <No data fields>}, pImpl = 0x12d36b0}, nDragMode = 2, nScaleFactor = 100, nSnapMode = 2, nMiddleMouse = 2, nAAMinPixelHeight = 8, bMenuMouseFollow = 1 '\001', bFontAntialiasing = 1 '\001', static bInitialized = 1 '\001'}
#36 0x00000037b6eff931 in ImplSVMain () at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/app/svmain.cxx:178
        pSVData = 0x37b74ca4a0
        xMS = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x0}, <No data fields>}
        nReturn = 1
        bInit = <optimized out>
#37 0x00000037b6eff9d5 in SVMain () at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/app/svmain.cxx:215
        nRet = <optimized out>
#38 0x00000037bc242b96 in soffice_main () at /usr/src/debug/libreoffice-3.5.6.2/desktop/source/app/sofficemain.cxx:71
        aDesktop = {<Application> = {_vptr.Application = 0x37bc4661b0}, m_rSplashScreen = {<com::sun::star::uno::BaseReference> = {_pInterface = 0x0}, <No data fields>}, m_bMinimized = 119 'w', m_bInvisible = 0 '\000', m_bServicesRegistered = true, m_nAppEvents = 124, m_aBootstrapError = desktop::Desktop::BE_OK, m_aBootstrapStatus = desktop::Desktop::BS_OK, m_pLockfile = {_M_ptr = 0x123bd40}, m_firstRunTimer = {_vptr.Timer = 0x37b74a8830, mpTimerData = 0x0, mnTimeout = 1, mbActive = 0 '\000', mbAuto = 0 '\000', maTimeoutHdl = {pInst = 0x0, pFunc = 0}}, static pResMgr = 0x0, static bSuppressOpenDefault = <optimized out>}
        rCmdLineArgs = <optimized out>
#39 0x00000000004006bb in sal_main () at /usr/src/debug/libreoffice-3.5.6.2/desktop/source/app/main.c:34
No locals.
#40 main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/libreoffice-3.5.6.2/desktop/source/app/main.c:33
        ret = 0
Comment 3 Michael Stahl 2012-09-18 08:51:06 EDT
hmm... the stack traces indicate that in the line:

        SwTableBox* pCpyBox = pTblNd->GetTable().GetTabSortBoxes()[0];

either an invalid table object or an empty array of boxes is returned.

but i can't reproduce that problem here, because it crashes
in a differnet place for me. but perhaps the crashes are related.

1. Table->Insert, OK
2. Firefox copy https://gerrit.libreoffice.org/#/q/status:open,n,z
3. place cursor below exising table, paste
4. mark a column in the pasted table, copy
5. move cursor in top right corner of empty table, paste
6. undo -> crash

#0  FindTableNode (this=0x5039150) at /sw/source/core/docnode/node.cxx:400
#1  SwNode::FindTableNode (this=0x5039150) at /sw/source/core/docnode/node.cxx:395
#2  0x00007f6b5f0195da in FindTableNode (this=<optimized out>) at /sw/inc/node.hxx:692
#3  SwTableBox::~SwTableBox (this=0x5038180, __in_chrg=<optimized out>) at /sw/source/core/table/swtable.cxx:1733
#4  0x00007f6b5f0196b9 in SwTableBox::~SwTableBox (this=0x5038180, __in_chrg=<optimized out>) at /sw/source/core/table/swtable.cxx:1748
#5  0x00007f6b5f173840 in SwUndoTblNdsChg::UndoImpl (this=0x4e84bf0, rContext=...) at /sw/source/core/undo/untbl.cxx:1787
#6  0x00007f6b5f169afc in SwUndoTblCpyTbl::UndoImpl (this=0x4f1eff0, rContext=...) at /sw/source/core/undo/untbl.cxx:2547

this mysteriously worked in OOo 3.3 (or at least it doesn't crash), but OOo 3.4 beta crashes (after an additional redo->undo step) and LO 3.5 and master crash like description.

the odd thing here is how the table box is deleted after the nodes have already been removed from the nodes array; appears to be a change in OOo 3.0.

with that fixed i can't easily reproduce table undo crashes any more.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf842d7c7f9559bfdbb3924cd05a3a50d1dff5e3
Comment 4 Michael Stahl 2012-09-28 13:19:22 EDT
fix for this should be in next F17 upload 3.5.6.2-7
Comment 5 Michael Stahl 2012-09-28 13:22:21 EDT
fix is in upstream libreoffice-3-6 for 3.6.3 as well:

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-6&id=d60ea419c57812f611125b0ca51bf897ea7e214b
Comment 6 Fedora Update System 2012-10-05 01:29:43 EDT
libreoffice-3.5.7.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.7.2-2.fc17
Comment 7 Fedora Update System 2012-10-05 23:50:21 EDT
Package libreoffice-3.5.7.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.7.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15506/libreoffice-3.5.7.2-2.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-20 10:08:34 EST
libreoffice-3.5.7.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.